TcpFailureDetectorMBean (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.group.interceptors, interface: TcpFailureDetectorMBean

# Interface TcpFailureDetectorMBean

All Known Implementing Classes:
  `TcpFailureDetector`

public interface TcpFailureDetectorMBean
MBean interface for managing the TcpFailureDetector interceptor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMembers(boolean checkAll)`
  Checks the status of cluster members.
  `long`
  `getConnectTimeout()`
  Returns the connection timeout in milliseconds.
  `int`
  `getOptionFlag()`
  Returns the socket option flag used for member checks.
  `boolean`
  `getPerformReadTest()`
  Returns whether read tests are performed.
  `boolean`
  `getPerformSendTest()`
  Returns whether send tests are performed.
  `long`
  `getReadTestTimeout()`
  Returns the read test timeout in milliseconds.
  `int`
  `getRemoveSuspectsTimeout()`
  Returns the timeout for removing suspects.
  `void`
  `setConnectTimeout(long connectTimeout)`
  Sets the connection timeout in milliseconds.
  `void`
  `setPerformReadTest(boolean performReadTest)`
  Sets whether read tests should be performed.
  `void`
  `setPerformSendTest(boolean performSendTest)`
  Sets whether send tests should be performed.
  `void`
  `setReadTestTimeout(long readTestTimeout)`
  Sets the read test timeout in milliseconds.
  `void`
  `setRemoveSuspectsTimeout(int removeSuspectsTimeout)`
  Sets the timeout for removing suspects.

- ## Method Details

  - ### getOptionFlag

    int getOptionFlag()
    Returns the socket option flag used for member checks.
    Returns:
      the option flag

  - ### getConnectTimeout

    long getConnectTimeout()
    Returns the connection timeout in milliseconds.
    Returns:
      the connection timeout

  - ### getPerformSendTest

    boolean getPerformSendTest()
    Returns whether send tests are performed.
    Returns:
      true if send tests are enabled

  - ### getPerformReadTest

    boolean getPerformReadTest()
    Returns whether read tests are performed.
    Returns:
      true if read tests are enabled

  - ### getReadTestTimeout

    long getReadTestTimeout()
    Returns the read test timeout in milliseconds.
    Returns:
      the read test timeout

  - ### getRemoveSuspectsTimeout

    int getRemoveSuspectsTimeout()
    Returns the timeout for removing suspects.
    Returns:
      the remove suspects timeout

  - ### setPerformReadTest

    void setPerformReadTest(boolean performReadTest)
    Sets whether read tests should be performed.
    Parameters:
      `performReadTest` - true to enable read tests

  - ### setPerformSendTest

    void setPerformSendTest(boolean performSendTest)
    Sets whether send tests should be performed.
    Parameters:
      `performSendTest` - true to enable send tests

  - ### setReadTestTimeout

    void setReadTestTimeout(long readTestTimeout)
    Sets the read test timeout in milliseconds.
    Parameters:
      `readTestTimeout` - the timeout value

  - ### setConnectTimeout

    void setConnectTimeout(long connectTimeout)
    Sets the connection timeout in milliseconds.
    Parameters:
      `connectTimeout` - the timeout value

  - ### setRemoveSuspectsTimeout

    void setRemoveSuspectsTimeout(int removeSuspectsTimeout)
    Sets the timeout for removing suspects.
    Parameters:
      `removeSuspectsTimeout` - the timeout value

  - ### checkMembers

    void checkMembers(boolean checkAll)
    Checks the status of cluster members.
    Parameters:
      `checkAll` - true to check all members, false to check only suspects